﻿using System;
using System.IO;
using System.Xml;
using System.Xml.Serialization;
using PIDBWS;

namespace Test_PIDBWS
{
    class Program
    {
        static void Main(string[] args)
        {
            try
            {
                string acceskeyprofessionel = "F104CDF58E42483B9813E1346BD511";

                Console.WriteLine("*************************");
                Console.WriteLine("Professionelle udgave");
                Console.WriteLine("*************************");

                GetPIDBXML(acceskeyprofessionel, DateTime.Now.ToShortDateString() + "_PIDBProfessionel.xml");
                Console.WriteLine("Professionelle udgave-OK");


                string acceskeyUser = "28C0BF85C72E4B6195C83FD6BBC184";

                Console.WriteLine("*************************");
                Console.WriteLine("Borgerudgaven");
                Console.WriteLine("*************************");

                GetPIDBXML(acceskeyUser, DateTime.Now.ToShortDateString() + "_PIDBUser.xml");

                Console.WriteLine("Borgerudgaven-OK");
            }
            catch (Exception ex)
            {
                Console.WriteLine("Error: {0}" + ex.Message);
                
            }

            

        }

        private static void GetPIDBXML(string acceskey,string filename)
        {
            var doc = PIDBXML.GetPIDBXml(acceskey);


            // Save the XML file
            using (var fs = new FileStream(filename, FileMode.OpenOrCreate, FileAccess.Write, FileShare.None))
            {
                var settings = new XmlWriterSettings { Indent = true };
               
                using (var writer = XmlWriter.Create(fs, settings))
                {
                    var reader = new XmlNodeReader(doc);
                    writer.WriteNode(reader, false);
                }
            }

            // Deserialize XML to object
            var s = new XmlSerializer(typeof(UDTRAEK));
            var udtraek = s.Deserialize(new StringReader(doc.OuterXml)) as UDTRAEK;

            if (null == udtraek)
                return;

            { }
        }
    }
}
